.LIB "K-NetLib.dll"

KNL_Initialize%(GameID$, Service%, Session%)
KNL_GetVersion$()
KNL_ParseString$(SourceStr$, Item%, Separator$)

KNL_Shutdown()
KNL_StringOption(Flag%)
KNL_SetReceiveQueueLimit(Limit%)

KNL_SetSession%(Setting$, Value$)
KNL_GetSession$(Setting$)
KNL_GetServerName$()
KNL_GetServerData$()
KNL_GetGameInfo%()
KNL_GetCaps%()
KNL_SetCaps%(Field$, Value%)
KNL_GetSPCaps%(Provider%)
KNL_SetSPCaps%(Provider%, BufferSize%)

KNL_CreateHost%(PortNR%, SessionName$, Password$, GameData$, MaxPlayers%)
KNL_Connect%(PlayerName$, PlayerData$, HostAddress$, PortNR%, Password$, Method%)
KNL_CancelConnect%()
KNL_GetConnectionInfo%(PlayerID%)
KNL_TerminateSession%()

KNL_StartTimer%()
KNL_StopTimer%()
KNL_GetTimer%()

KNL_ErrorOption(Flag%)
KNL_SetLogFile(FileName$, Append%)

KNL_CheckErrors%()
KNL_GetErrorCode%()
KNL_GetErrorText$()
KNL_GetErrorMsg$(ErrCode%)
KNL_GetErrorLocalTime$()
KNL_GetErrorGameTime%()
KNL_ErrorQueueCount%()

KNL_CatchError(ErrCode%, ErrMsg$)
KNL_ClearError()
KNL_ClearErrors()

KNL_UpdateNetwork%(DestID%, Priority%, TimeOut%, Flags%)
KNL_CancelMessage%(Handle%)
KNL_CancelMessages%(PlayerID%, Priority%)
KNL_CheckMessages%()
KNL_GetMessageID%()
KNL_MessageFields%()
KNL_SendQueueCount%(PlayerID%)
KNL_ReceiveQueueCount%()
KNL_ForwardMessage%()

KNL_ClearMessage()
KNL_ClearStream()

KNL_SetFieldName%(Name$)
KNL_SendInteger%(Value%)
KNL_SendFloat%(Value#)
KNL_SendString%(Value$)

KNL_ArraySendInteger%(StartAddress%, Elements%)
KNL_ArraySendFloat%(StartAddress%, Elements%)
KNL_ArraySendParsedString%(SourceStr$, Separator$)

KNL_GetInteger%(FldIdx%)
KNL_GetFloat#(FldIdx%)
KNL_GetString$(FldIdx%)

KNL_ArrayGetInteger#(FldIdx%, Element%)
KNL_ArrayGetFloat#(FldIdx%, Element%)
KNL_ArrayGetString$(FldIdx%, Element%)

KNL_FieldName$(FldIdx%)
KNL_FieldType%(FldIdx%)
KNL_FieldSize%(FldIdx%)
KNL_FieldIndex%(FldName$)
KNL_FieldElements%(FldIdx%)

KNL_FieldGetInteger%(FldName$)
KNL_FieldGetFloat#(FldName$)
KNL_FieldGetString$(FldName$)

KNL_FieldArrayGetInteger%(FldName$, Element%)
KNL_FieldArrayGetFloat#(FldName$, Element%)
KNL_FieldArrayGetString$(FldName$, Element%)

KNL_FileSend%(PlayerID%, FileID%, FileName$, CompressionLevel%)
KNL_FileAccept%(Handle%, FileName$)
KNL_FileRefuse%(Handle%)
KNL_FileProgress#(Handle%)
KNL_FileCancel%(Handle%)

KNL_GroupCreate%(GroupName$, GroupData$, Method%)
KNL_GroupAddPlayer%(PlayerID%, GroupID%, Method%)
KNL_GroupRemovePlayer%(PlayerID%, GroupID%, Method%)
KNL_GroupDestroy%(GroupID%, Method%)
KNL_GroupGetName$(GroupID%)
KNL_GroupGetData$(GroupID%)
KNL_GroupGetContext%(GroupID%)
KNL_GroupGetList%(GroupID%)
KNL_GroupListCount%(ListHandle%)
KNL_GroupListGetID%(ListHandle%,Index%)
KNL_GroupListGetName$(ListHandle%,Index%)
KNL_GroupListGetData$(ListHandle%,Index%)
KNL_GroupFreeList(ListHandle%)

KNL_SetPlayerInfo%(PlayerName$, PlayerData$)
KNL_GetPlayerName$(PlayerID%)
KNL_GetPlayerData$(PlayerID%)
KNL_DestroyPlayer%(PlayerID%)

KNL_EnumerateProviders%()
KNL_GetProviderName$(Provider%)
KNL_GetProviderGUID$(Provider%)

KNL_EnumerateDevices%(Provider%)
KNL_GetDeviceName$(Device%)
KNL_GetDeviceGUID$(Device%)

KNL_EnumerateHosts%(PortNR%)
KNL_StopHostsEnumeration%()
KNL_QueryHost%(IP$,PortNR%)

KNL_GetComputerName$()
KNL_CountLocalIPs%()
KNL_GetLocalIP$(Index%)
KNL_GetPlayerIP$(PlayerID%)
KNL_GetHostIP$()
  
KNL_ReadINI$(File$, Section$, Parameter$, Default$)
KNL_WriteINI(File$, Section$, Parameter$, Value$)

KNL_SetBanFile(FileName$)
KNL_BanIP(IP$, Duration%)
KNL_AllowIP(IP$)

KNL_SplineDestroy(Spline%)
KNL_SplineSetKnot(Spline%, Knot%, X#, Y#, Z#)
KNL_SplineCalculate(Spline%)
  
KNL_SplineCreate%(Knots%, Whole#, Piece#)
KNL_SplineGetX#(Spline%, Frame#)
KNL_SplineGetY#(Spline%, Frame#)
KNL_SplineGetZ#(Spline%, Frame#)

KNL_Download%(Client$, URL$, LocalFile$, ID%)
KNL_DownloadGetHandle%(Client$, URL$, LocalFile$, ID%)
KNL_DownloadSize%(Handle%)
KNL_DownloadBytes%(Handle%)
KNL_DownloadProgress#(Handle%)
KNL_DownloadCancel(Handle%)
KNL_DownloadFreeHandle(Handle%)